Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Language IDEs » C / C++ IDE (CDT) » Eclipse 3.8.2 missing crosscompiler (crsosscompiler )
Eclipse 3.8.2 missing crosscompiler [message #1778113] Sun, 10 December 2017 17:27 Go to next message
Vaclav Sal is currently offline Vaclav SalFriend
Messages: 163
Registered: September 2014
Senior Member
I am trying to resolve an issue I am having crosscompiling x86 (Ubuntu Eclipse Oxygen)
to run on Raspberry Pi ( ARM).

The issue is - I can actually run the application on RPi UNTIL I #include <string> and instantiate string class.

I have been advised to match the Eclipse 3.8 - the ONLY Eclipse which will run on Raspbian
with SAME version of Eclipse on my x86 host.

I did download the Eclipse 3.8.2 to my x86 system.
BUT
I have no option in New Project C++ to select "Cross gcc" , only "Linux".

I have read somewhere that downloading Eclipse IDE DOES NOT DOWNLOADS crosscompiler.

I cleared my Raspberry Pi Eclipse and downloaded new Eclipse 3.8.3 - CDT and I can
select "Gross gcc" for a new project.

Otherword - I did not have to download grosscompiler extra on RPi. But the download came from Raspian repository. It probably won't download to Ubuntu, but I am willing to try it.

End of story - how do add crosscompiler to Eclipse 3.8.2 ?

Any help is appreciated.
Thanks








Re: Eclipse 3.8.2 missing crosscompiler [message #1778120 is a reply to message #1778113] Mon, 11 December 2017 01:01 Go to previous message
Vaclav Sal is currently offline Vaclav SalFriend
Messages: 163
Registered: September 2014
Senior Member
Solved
Previous Topic:Optimize for Debug & Breakpoints
Next Topic:Eclipse-CDT startup error "Java heap space"
Goto Forum:
  


Current Time: Mon Jan 22 10:40:09 GMT 2018

Powered by FUDForum. Page generated in 0.01987 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software